#!/bin/sh

apkenv_dir="/home/user/apkenv/"
apkenvwrp_dir="/home/user/.apkenvwrp/"

load_backup() {
	mkdir -p $apkenvwrp_dir$1
	rm -rf /home/user/.apkenv/*
	cp -rf $apkenvwrp_dir$1/. /home/user/.apkenv/
}

save_backup() {
	cp -rf /home/user/.apkenv/. $apkenvwrp_dir$1/
	rm -rf /home/user/.apkenv/*
}

if [ ! $1 ]; then
	echo "Usage: apkenvwrp.sh application.apk"
	echo "Do not run under root!"
	exit 0
fi

if [ $(whoami) != "user" ]; then
	echo "User rights required!"
	exit 0
fi

if [ ! -f $1 ]; then
	echo "File '"$1"' doesn't exist!"
	exit 0
fi

apk_path=$(readlink -f "$1")
backup_name=$(basename "$1" ".apk")

load_backup $backup_name

cd $apkenv_dir

./apkenv $apk_path

save_backup $backup_name

exit 0